# Installation

## 1. Download Resource

Download the purchased resource from [**CFX Portal**](https://portal.cfx.re/assets/granted-assets) - the official site of FiveM with purchased resources.

***

## 2. Install Required Dependencies

This script needs a few extra resources to work properly.\
Below you will find a list of things to download - click the link, download and upload to your server just like other resources.

<table><thead><tr><th width="347">Resource</th><th data-type="content-ref">Download Link</th></tr></thead><tbody><tr><td><strong>Minigame: Lockpick</strong><br>lockpick by baguscodestudio</td><td><a href="https://github.com/baguscodestudio/lockpick">https://github.com/baguscodestudio/lockpick</a></td></tr><tr><td><strong>Minigame: Advanced Lockpick</strong> <br>t3_lockpick by T3development</td><td><a href="https://github.com/T3development/t3_lockpick">https://github.com/T3development/t3_lockpick</a></td></tr><tr><td><strong>Minigame: Safe Cracking</strong><br><strong>"</strong>pd-safe" by VHall1</td><td><a href="https://github.com/VHall1/pd-safe">https://github.com/VHall1/pd-safe</a></td></tr><tr><td><p><strong>Minigame: Electricity</strong></p><p>datacrack by utkuali</p></td><td><a href="https://github.com/utkuali/datacrack">https://github.com/utkuali/datacrack</a></td></tr><tr><td><strong>Interiors: some houses interiors</strong><br>Starter Housing Shells by K4MB1</td><td><a href="https://www.k4mb1maps.com/product/5015840">https://www.k4mb1maps.com/product/5015840</a></td></tr><tr><td><strong>IPL: some houses interiors</strong><br>Loader GTA interiors by Bob74</td><td><a href="https://github.com/Bob74/bob74_ipl">https://github.com/Bob74/bob74_ipl</a></td></tr></tbody></table>

***

## 3. Add Required Items

The script uses its own items.\
Depending on what inventory you are using, select the appropriate section and add these items to either your item file or database.

<details>

<summary>Items for esx inventory</summary>

```sql
INSERT INTO `items` (`name`, `label`, `weight`, `rare`, `can_remove`) VALUES
    ("lockpick", "Lockpick", 10, 0, 1),
    ("lockpick_advanced", "Lockpick Advanced", 10, 0, 1),
    ("art_1", 'Art 1', 10, 0, 1),
    ("art_2", 'Art 2', 10, 0, 1),
    ("art_3", 'Art 3', 10, 0, 1),
    ("bong", "Bong", 10, 0, 1),
    ("camera", "Camera", 10, 0, 1),
    ("car_toy_1", 'Car Toy 1', 10, 0, 1),
    ("car_toy_2", 'Car Toy 2', 10, 0, 1),
    ("cigars", 'Cigars', 10, 0, 1),
    ("dj", "DJ", 10, 0, 1),
    ("dvd", "DVD", 10, 0, 1),
    ("flowers_1", "Flowers Potted", 10, 0, 1),
    ("golden_sales_certificate", "Golden Sales Certificate", 10, 0, 1),
    ("kettle", "Kettle", 10, 0, 1),
    ("knife_block", "Knife Block", 10, 0, 1),
    ("laptop", "Laptop", 10, 0, 1),
    ("microwave", "Microwave", 10, 0, 1),
    ("mixer", "Mixer", 10, 0, 1),
    ("money_counter", "Money Counter", 10, 0, 1),
    ("monitor", "Monitor", 10, 0, 1),
    ("necklace_1", 'Necklace 1', 10, 0, 1),
    ("necklace_2", 'Necklace 2', 10, 0, 1),
    ("necklace_3", 'Necklace 3', 10, 0, 1),
    ("painting_1", 'Painting 1', 10, 0, 1),
    ("painting_2", 'Painting 2', 10, 0, 1),
    ("painting_3", 'Painting 3', 10, 0, 1),
    ("pc", "PC", 10, 0, 1),
    ("perfume", "Perfume", 10, 0, 1),
    ("pot", "Pot", 10, 0, 1),
    ("speaker", "Speaker", 10, 0, 1),
    ("statue_art_1", "Golden Statue Art", 10, 0, 1),
    ("statue_art_2", "Tiger Statue Art", 10, 0, 1),
    ("statue_art_3", "Pug Statue Art", 10, 0, 1),
    ("toaster", "Toaster", 10, 0, 1),
    ("tv", "TV", 10, 0, 1),
    ("vase_1", "Vase 1", 10, 0, 1),
    ("vase_2", "Vase 2", 10, 0, 1),
    ("wallart_1", 'Wall Art', 10, 0, 1),
    ("watch_1", 'Watch 1', 10, 0, 1),
    ("watch_2", 'Watch 2', 10, 0, 1),
    ("cocaine", "Cocaine", 10, 0, 1);
```

</details>

<details>

<summary>Items for ox_inventory</summary>

```lua
['lockpick'] = {label = "Lockpick", weight = 1, stack = true},
['lockpick_advanced'] = {label = "Lockpick Advanced", weight = 1, stack = true},
['art_1'] = {label = 'Art 1', weight = 1, stack = true},
['art_2'] = {label = 'Art 2', weight = 1, stack = true},
['art_3'] = {label = 'Art 3', weight = 1, stack = true},
['bong'] = {label = "Bong", weight = 1, stack = true},
['camera'] = {label = "Camera", weight = 1, stack = true},
['car_toy_1'] = {label = 'Car Toy 1', weight = 1, stack = true},
['car_toy_2'] = {label = 'Car Toy 2', weight = 1, stack = true},
['cigars'] = {label = 'Cigars', weight = 1, stack = true},
['dj'] = {label = "DJ", weight = 1, stack = true},
['dvd'] = {label = "DVD", weight = 1, stack = true},
['flowers_1'] = {label = "Flowers Potted", weight = 1, stack = true},
['golden_sales_certificate'] = {label = "Golden Sales Certificate", weight = 1, stack = true},
['kettle'] = {label = "Kettle", weight = 1, stack = true},
['knife_block'] = {label = "Knife Block", weight = 1, stack = true},
['laptop'] = {label = "Laptop", weight = 1, stack = true},
['microwave'] = {label = "Microwave", weight = 1, stack = true},
['mixer'] = {label = "Mixer", weight = 1, stack = true},
['money_counter'] = {label = "Money Counter", weight = 1, stack = true},
['monitor'] = {label = "Monitor", weight = 1, stack = true},
['necklace_1'] = {label = 'Necklace 1', weight = 1, stack = true},
['necklace_2'] = {label = 'Necklace 2', weight = 1, stack = true},
['necklace_3'] = {label = 'Necklace 3', weight = 1, stack = true},
['painting_1'] = {label = 'Painting 1', weight = 1, stack = true},
['painting_2'] = {label = 'Painting 2', weight = 1, stack = true},
['painting_3'] = {label = 'Painting 3', weight = 1, stack = true},
['pc'] = {label = "PC", weight = 1, stack = true},
['perfume'] = {label = "Perfume", weight = 1, stack = true},
['pot'] = {label = "Pot", weight = 1, stack = true},
['speaker'] = {label = "Speaker", weight = 1, stack = true},
['statue_art_1'] = {label = "Golden Statue Art", weight = 1, stack = true},
['statue_art_2'] = {label = "Tiger Statue Art", weight = 1, stack = true},
['statue_art_3'] = {label = "Pug Statue Art", weight = 1, stack = true},
['toaster'] = {label = "Toaster", weight = 1, stack = true},
['tv'] = {label = "TV", weight = 1, stack = true},
['vase_1'] = {label = "Vase 1", weight = 1, stack = true},
['vase_2'] = {label = "Vase 2", weight = 1, stack = true},
['wallart_1'] = {label = 'Wall Art', weight = 1, stack = true},
['watch_1'] = {label = 'Watch 1', weight = 1, stack = true},
['watch_2'] = {label = 'Watch 2', weight = 1, stack = true},
['cocaine'] = {label = "Cocaine", weight = 1, stack = true},
```

</details>

<details>

<summary>Items for qb-inventory / qs-inventory / origen_inventory</summary>

```lua
['lockpick'] = {["name"] = 'lockpick', ["label"] = "Lockpick", ["weight"] = 10, ["type"] = "item", ["image"] = "lockpick.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['lockpick_advanced'] = {["name"] = 'lockpick_advanced', ["label"] = "Lockpick Advanced", ["weight"] = 10, ["type"] = "item", ["image"] = "lockpick_advanced.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['art_1'] = {["name"] = 'art_1', ["label"] = 'Art 1', ["weight"] = 10, ["type"] = "item", ["image"] = "art_1.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['art_2'] = {["name"] = 'art_2', ["label"] = 'Art 2', ["weight"] = 10, ["type"] = "item", ["image"] = "art_2.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['art_3'] = {["name"] = 'art_3', ["label"] = 'Art 3', ["weight"] = 10, ["type"] = "item", ["image"] = "art_3.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['bong'] = {["name"] = 'bong', ["label"] = "Bong", ["weight"] = 10, ["type"] = "item", ["image"] = "bong.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['camera'] = {["name"] = 'camera', ["label"] = "Camera", ["weight"] = 10, ["type"] = "item", ["image"] = "camera.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['car_toy_1'] = {["name"] = 'car_toy_1', ["label"] = 'Car Toy 1', ["weight"] = 10, ["type"] = "item", ["image"] = "car_toy_1.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['car_toy_2'] = {["name"] = 'car_toy_2', ["label"] = 'Car Toy 2', ["weight"] = 10, ["type"] = "item", ["image"] = "car_toy_2.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['cigars'] = {["name"] = 'cigars', ["label"] = 'Cigars', ["weight"] = 10, ["type"] = "item", ["image"] = "cigars.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['dj'] = {["name"] = 'dj', ["label"] = "DJ", ["weight"] = 10, ["type"] = "item", ["image"] = "dj.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['dvd'] = {["name"] = 'dvd', ["label"] = "DVD", ["weight"] = 10, ["type"] = "item", ["image"] = "dvd.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['flowers_1'] = {["name"] = 'flowers_1', ["label"] = "Flowers Potted", ["weight"] = 10, ["type"] = "item", ["image"] = "flowers_1.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['golden_sales_certificate'] = {["name"] = 'golden_sales_certificate', ["label"] = "Golden Sales Certificate", ["weight"] = 10, ["type"] = "item", ["image"] = "golden_sales_certificate.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['kettle'] = {["name"] = 'kettle', ["label"] = "Kettle", ["weight"] = 10, ["type"] = "item", ["image"] = "kettle.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['knife_block'] = {["name"] = 'knife_block', ["label"] = "Knife Block", ["weight"] = 10, ["type"] = "item", ["image"] = "knife_block.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['laptop'] = {["name"] = 'laptop', ["label"] = "Laptop", ["weight"] = 10, ["type"] = "item", ["image"] = "laptop.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['microwave'] = {["name"] = 'microwave', ["label"] = "Microwave", ["weight"] = 10, ["type"] = "item", ["image"] = "microwave.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['mixer'] = {["name"] = 'mixer', ["label"] = "Mixer", ["weight"] = 10, ["type"] = "item", ["image"] = "mixer.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['money_counter'] = {["name"] = 'money_counter', ["label"] = "Money Counter", ["weight"] = 10, ["type"] = "item", ["image"] = "money_counter.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['monitor'] = {["name"] = 'monitor', ["label"] = "Monitor", ["weight"] = 10, ["type"] = "item", ["image"] = "monitor.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['necklace_1'] = {["name"] = 'necklace_1', ["label"] = 'Necklace 1', ["weight"] = 10, ["type"] = "item", ["image"] = "necklace_1.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['necklace_2'] = {["name"] = 'necklace_2', ["label"] = 'Necklace 2', ["weight"] = 10, ["type"] = "item", ["image"] = "necklace_2.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['necklace_3'] = {["name"] = 'necklace_3', ["label"] = 'Necklace 3', ["weight"] = 10, ["type"] = "item", ["image"] = "necklace_3.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['painting_1'] = {["name"] = 'painting_1', ["label"] = 'Painting 1', ["weight"] = 10, ["type"] = "item", ["image"] = "painting_1.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['painting_2'] = {["name"] = 'painting_2', ["label"] = 'Painting 2', ["weight"] = 10, ["type"] = "item", ["image"] = "painting_2.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['painting_3'] = {["name"] = 'painting_3', ["label"] = 'Painting 3', ["weight"] = 10, ["type"] = "item", ["image"] = "painting_3.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['pc'] = {["name"] = 'pc', ["label"] = "PC", ["weight"] = 10, ["type"] = "item", ["image"] = "pc.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['perfume'] = {["name"] = 'perfume', ["label"] = "Perfume", ["weight"] = 10, ["type"] = "item", ["image"] = "perfume.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['pot'] = {["name"] = 'pot', ["label"] = "Pot", ["weight"] = 10, ["type"] = "item", ["image"] = "pot.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['speaker'] = {["name"] = 'speaker', ["label"] = "Speaker", ["weight"] = 10, ["type"] = "item", ["image"] = "speaker.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['statue_art_1'] = {["name"] = 'statue_art_1', ["label"] = "Golden Statue Art", ["weight"] = 10, ["type"] = "item", ["image"] = "statue_art_1.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['statue_art_2'] = {["name"] = 'statue_art_2', ["label"] = "Tiger Statue Art", ["weight"] = 10, ["type"] = "item", ["image"] = "statue_art_2.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['statue_art_3'] = {["name"] = 'statue_art_3', ["label"] = "Pug Statue Art", ["weight"] = 10, ["type"] = "item", ["image"] = "statue_art_3.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['toaster'] = {["name"] = 'toaster', ["label"] = "Toaster", ["weight"] = 10, ["type"] = "item", ["image"] = "toaster.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['tv'] = {["name"] = 'tv', ["label"] = "TV", ["weight"] = 10, ["type"] = "item", ["image"] = "tv.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['vase_1'] = {["name"] = 'vase_1', ["label"] = "Vase 1", ["weight"] = 10, ["type"] = "item", ["image"] = "vase_1.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['vase_2'] = {["name"] = 'vase_2', ["label"] = "Vase 2", ["weight"] = 10, ["type"] = "item", ["image"] = "vase_2.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['wallart_1'] = {["name"] = 'wallart_1', ["label"] = 'Wall Art', ["weight"] = 10, ["type"] = "item", ["image"] = "wallart_1.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['watch_1'] = {["name"] = 'watch_1', ["label"] = 'Watch 1', ["weight"] = 10, ["type"] = "item", ["image"] = "watch_1.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['watch_2'] = {["name"] = 'watch_2', ["label"] = 'Watch 2', ["weight"] = 10, ["type"] = "item", ["image"] = "watch_2.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
['cocaine'] = {["name"] = 'cocaine', ["label"] = "Cocaine", ["weight"] = 10, ["type"] = "item", ["image"] = "cocaine.png", ["unique"] = false, ["useable"] = true, ["shouldClose"] = false, ["combinable"] = nil, ["description"] = ""},
```

</details>

***

## 4. Environment Requirements

{% stepper %}
{% step %}

### Gamebuild

Ensure your game build is at least 3095 for compatibility and optimal resource functionality.

Go to your **server.cfg** and then enter the following line, or if you already have lower game build, set this one.

```clike
sv_enforceGameBuild 3095
```

{% endstep %}
{% endstepper %}

***

## 5. Start Resource

To start a resource in your `server.cfg`, ensure that it begins after your framework has been initiated. For instance, if you are using a framework like `es_extended`, you should start resource after it, like so:

```python
start [core] # For example, here is your framework (esx/qb-core)

# VMS Dependencies
start bob74_ipl
start k4mb1shellstarter
start lockpick
start t3_lockpick
start pd-safe
start datacrack

# VMS Resources
start vms_houserobberies
```

Ensure there are no syntax errors or incorrect paths in your `server.cfg`.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vames-store.com/assets/vms_houserobberies/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
